@charset "UTF-8";

body {
    font-family: "Century Gothic", "微軟正黑體", sans-serif;
    color: #03182C;
    overflow-x: hidden;
}

a {
    text-decoration: none;
    transition: all 0.5s;
}

    a:hover *:not(.hover-active a *),
    a:focus:not(.nav-link):not(.hover-active a *),
    a:hover:not(.nav-link):not(.hover-active a),
    .dropdown-item:focus,
    .dropdown-item:hover,
    /* .footer-link-btn :not(.btn-check)+.btn:hover,
.footer-link-btn :not(.btn-check)+.btn:active, */
    .open-close-btn :not(.btn-check) + .btn:hover,
    .open-close-btn :not(.btn-check) + .btn:active,
    .btn.btn-danger:hover,
    .btn.btn-danger:focus,
    .btn.btn-danger:active,
    .btn.btn-white:focus,
    .btn.btn-white:active,
    .btn.btn-white:active,
    a.nav-link:focus,
    a.nav-link:hover,
    a.nav-link:active,
    .navbar-toggler:focus,
    .navbar-toggler:hover,
    .navbar-toggler:active,
    .nav.nav-tabs a.active:focus,
    .nav.nav-tabs a.active:hover,
    .nav.nav-tabs a.active:active,
    .public-keyword .nav.nav-tabs a.active:focus,
    .public-keyword .nav.nav-tabs a.active:hover,
    .public-keyword .nav.nav-tabs a.active:active,
    .for-btn:focus,
    .for-btn:hover,
    .for-btn:active,
    .page-item:not(.active) button.page-link:focus,
    .page-item:not(.active) button.page-link:hover,
    .page-item:not(.active) button.page-link:active {
        background-color: #ffd967 !important;
        color: #03182C !important;
    }

.more-link:hover > .border-success,
.more-link:hover > .border-danger {
    border-color: #03182C !important;
}

.navbar-toggler:focus {
    box-shadow: 0 0 0 rgba(0, 0, 0, 0) !important;
}

a.nav-link {
    position: relative;
    display: flex;
    align-items: center;
    gap: 0.3rem;
}

/* a.nav-link:focus,
a.nav-link:hover {
    border-bottom: 3px solid #c43b2b
} */

a.btn:hover [class^="icon-"],
a.btn:focus [class^="icon-"] {
    color: #03182C !important;
}

.dropdown-item.active,
.dropdown-item:active {
    background-color: transparent;
}

::placeholder {
    color: #989898 !important;
}

.fs-10 {
    font-size: 0.625rem;
}

.fs-12 {
    font-size: 0.75rem;
}

.fs-14 {
    font-size: 0.875rem;
}

.fs-15 {
    font-size: 0.93rem;
}

.fs-18 {
    font-size: 1.125rem;
}

.fs-22 {
    font-size: 1.375rem;
}

.fs-36 {
    font-size: 2.25rem;
}

.z-01 {
    z-index: -999;
}

.text-gray-a3 {
    color: #6E6E6E;
}

.text-gray-64 {
    color: #646664;
}

.text-dark-emphasis {
    color: #616161 !important;
}

.text-dark-20 {
    color: #202020;
}

.text-dark-4d {
    color: #4D4C4C;
}

.text-dark {
    color: #03182C !important;
}

.text-dark-3d {
    color: #3D4D64;
}

.text-success {
    color: #027e7c !important;
}

.text-danger {
    color: #c43b2b !important;
}

.border-dark-4d {
    border-color: #4D4C4C !important;
}

.border-dark {
    border-color: #03182C !important;
}

.border-success {
    border-color: #027e7c !important;
}

.border-danger {
    border-color: #c43b2b !important;
}

.border-gray-b2 {
    border-color: #B2BABB !important;
}

.border-gray-a9 {
    border-color: #A9A9A9 !important;
}

.border-gray-e2 {
    border-color: #E2E2E2 !important;
}

.border-8 {
    border-width: 8px !important;
}

.bg-gray-fb {
    background-color: #FBFBFB !important;
}

.bg-gray-f5 {
    background-color: #F5F5F5 !important;
}

.bg-gray-90 {
    background-color: #5d6974;
}

.bg-gray-ea {
    background-color: #EAE9E5;
}

.bg-success {
    background-color: #027e7c !important;
}

.bg-danger {
    background-color: #c43b2b !important;
}

.btn-success {
    background-color: #027e7c !important;
    border-color: #027e7c !important;
}

.btn-danger {
    background-color: #c43b2b !important;
}

.text-justify {
    text-align: justify;
}

.text-style-times {
    font-family: Georgia, "Times New Roman", Times, serif, "新細明體", "PMingLiU";
}

.text-style-gothic {
    font-family: "Century Gothic", sans-serif;
    letter-spacing: 1px;
}

.letter-spacing-1 {
    letter-spacing: 1px;
}

.letter-spacing-2 {
    letter-spacing: 2px;
}

.letter-spacing-3 {
    letter-spacing: 3px;
}

.ellipsis-1 {
    overflow: hidden;
    display: -webkit-box;
    text-overflow: ellipsis;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    white-space: normal;
}

.ellipsis-2 {
    overflow: hidden;
    display: -webkit-box;
    text-overflow: ellipsis;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    white-space: normal;
}

.invisible {
    width: 0.01px;
    height: 0.01px;
    display: inline-block;
}

.text-indent--03 {
    text-indent: -0.3rem;
}

.text-indent--05 {
    text-indent: -0.5rem;
}

.form-label.required::before {
    content: "*";
    font-family: "Century Gothic", sans-serif;
    color: #bf0202;
}

.focusable {
    transition: top 0.3s;
    z-index: 1100;
    color: transparent;
}

    .focusable:focus {
        color: inherit;
    }

.key-mark {
    z-index: 200;
}

.text-icon {
    flex: 0 0 24px;
    width: 24px;
    height: 24px;
    line-height: 1.5rem;
}

.for-click {
    pointer-events: none;
}

.parentheses::before {
    content: "（";
}

.parentheses::after {
    content: "）";
}

.form-control:focus {
    border-color: #ffc107;
    box-shadow: 0 0 0 .25rem rgba(255, 193, 7, 0.5);
}

.form-check-input {
    border-color: #027e7c !important;
}

    .form-check-input:checked {
        background-color: #027e7c;
        border-color: #027e7c;
    }

.breadcrumb a {
    color: #027e7c;
}

/* 首頁 */
.home-banner {
    height: 636px;
}

a[aria-expanded="true"] .icon-plus-show,
a[aria-expanded="false"] .icon-dash-hide,
/* .footer-link-btn .btn[aria-expanded="true"] .icon-arrow-down-light,
.footer-link-btn .btn[aria-expanded="false"] .icon-arrow-up-light, */
.open-close-btn .btn[aria-expanded="true"] .icon-arrow-down-light,
.open-close-btn .btn[aria-expanded="false"] .icon-arrow-up-light {
    display: none;
}

a[aria-expanded="true"] .icon-dash-hide,
a[aria-expanded="false"] .icon-plus-show,
/* .footer-link-btn .btn[aria-expanded="false"] .icon-arrow-down-light,
.footer-link-btn .btn[aria-expanded="true"] .icon-arrow-up-light, */
.open-close-btn .btn[aria-expanded="false"] .icon-arrow-down-light,
.open-close-btn .btn[aria-expanded="true"] .icon-arrow-up-light {
    display: block;
}

.top-line-h {
    height: 22px;
}

.top-line {
    border: 30px solid transparent;
}

.bottom-border.top-line,
.top-border.top-line {
    border-right-color: #fff;
}

.bottom-border.top-line {
    border-top-color: #fff;
    filter: drop-shadow(0 5px 2px rgba(0, 0, 0, 0.08));
}

.top-border.top-line {
    border-bottom-color: #fff;
    filter: drop-shadow(0 -5px 2px rgba(0, 0, 0, 0.08));
}

.dropdown-menu li:last-of-type {
    border: none !important;
}

.footer-link-btn .btn,
.open-close-btn .btn {
    width: 60px;
    height: 60px;
    line-height: 3.75rem;
}

.more-line {
    width: 60px;
}

.slide-link {
    top: calc(25% - 2rem);
}

textarea {
    resize: none;
}

.dropdown > a::after {
    content: "\e902";
    font-family: 'icomoon';
    font-size: 0.875rem;
    border: none;
}

.page-search .offcanvas.offcanvas-top {
    bottom: 0;
    height: 100vh;
}

.page-search .offcanvas {
    background-color: rgba(255, 255, 255, 0.9);
}

.main-bg {
    background-image: url(../images/main-bg.png);
    background-size: cover;
    background-repeat: no-repeat;
}

.form-check {
    min-height: auto;
}

/* 首頁 */
.nav.nav-tabs a {
    border-top-width: 6px !important;
}

    .nav.nav-tabs a.active {
        border-color: #027e7c !important;
        color: #027e7c !important;
        position: relative;
        box-shadow: 0 5px 5px rgba(0, 0, 0, 0.2);
        padding: 0.65rem;
    }

.public-keyword .nav.nav-tabs a.active {
    border-color: #c43b2b !important;
    color: #c43b2b !important;
}

.nav.nav-tabs a.active::before {
    content: "";
    border: 12px solid transparent;
    border-top-color: #027e7c;
    position: absolute;
    top: -6px;
    left: calc(50% - 12px);
    transform: scaleY(0.5);
}

.public-keyword .nav.nav-tabs a.active::before {
    border-top-color: #c43b2b;
}

.featured-related .col-md-8 {
    position: relative;
}

.featured-related .item .border-8::after {
    content: "\e91b";
    font-family: 'icomoon';
    position: absolute;
    bottom: -10px;
    right: 0;
    color: #c43b2b;
    font-size: 2.5rem;
}

#related-website .card {
    --bs-border-width: 0 !important;
}

#related-website .hover-active:hover a {
    transform: scale(1.08);
    position: relative;
    z-index: 4;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
}

#related-website .hover-active:hover .text-content {
    text-shadow: 0 5px 3px #000, 0 -5px 3px #000, 5px 0 3px #000, -5px 0 3px #000;
}

.tag-cloud {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 0.8rem;
    padding: 0.6rem;
}

.tag {
    display: inline-block;
    border-radius: 4px;
    transition: all 0.3s ease;
    text-decoration: none;
}

    .tag:hover {
        transform: scale(1.05);
        background-color: #f0f0f0;
    }

.tag-xs {
    font-size: 1.25rem;
    color: #D9D9D9;
}

.tag-s {
    font-size: 1.5rem;
    color: #A7C0D8;
}

.tag-m {
    font-size: 2rem;
    font-weight: 500;
    color: #90A2B3;
}

.tag-l {
    font-size: 2.6rem;
    font-weight: 700;
    color: #4A94C6;
}

.tag-xl {
    font-size: 3rem;
    font-weight: 900;
    color: #c43b2b;
}

.heading-decorate {
    width: 119px;
    height: 88px;
    top: -20px;
    left: -23px;
    z-index: 1;
    background-image: url(../images/heading-img.png);
    background-repeat: no-repeat;
    background-size: contain;
}

.bar-chart-box-line {
    border-bottom: 1px dashed #03182C;
}

.custom-legend-container {
    position: static !important;
    transform: none !important;
    color: rgba(0, 0, 0, 0.7);
}

    .custom-legend-container li span {
        border-radius: 50%;
    }

.highcharts-subtitle {
    font-size: 1.3rem !important;
    font-weight: 700;
    margin-top: 1rem;
}

.highcharts-label.highcharts-data-label.highcharts-tracker span {
    font-size: 0.875rem !important;
    font-weight: 400 !important;
}

.highcharts-title {
    font-size: 1.2rem !important;
}

/* 搜尋 */

.for-search .form-label {
    padding: .375rem .75rem;
}

.for-search .form-check-input {
    margin-top: .1em;
}

.label-title {
    width: 100%;
    max-width: 10rem;
}

.advanced-box[aria-expanded="true"] .icon-arrow-down,
.advanced-box[aria-expanded="false"] .icon-arrow-up,
.for-btn[aria-expanded="true"] .icon-plus,
.for-btn[aria-expanded="false"] .icon-dash {
    display: none;
}

.advanced-box[aria-expanded="false"] .icon-arrow-down,
.advanced-box[aria-expanded="true"] .icon-arrow-up,
.for-btn[aria-expanded="false"] .icon-plus,
.for-btn[aria-expanded="true"] .icon-dash {
    display: inline-block;
}

.accordion-button::after,
.list-title dd .detail-icon[aria-expanded="false"]::after {
    content: "\e916";
    font-family: 'icomoon';
    background-image: none;
}

.accordion-button:not(.collapsed)::after,
.list-title dd .detail-icon::after {
    content: "\e909";
    font-family: 'icomoon';
    background-image: none;
}

.list-title dd .detail-icon::after {
    font-size: 0.8rem;
    margin-left: 0.5rem;
}

#search-categories .accordion-body {
    height: 100%;
    max-height: 500px;
}

    #search-categories .accordion-body li:nth-child(even) {
        background-color: #f4f4f4;
    }

#bar-chart > *,
#bar-chart > * > *,
#bar-chart > * > * > * {
    width: 100% !important;
}

.search-area .form-check-input {
    width: 20px;
    height: 20px;
}

.list-title dt::before {
    content: "\e911";
    font-family: 'icomoon';
    font-size: 0.5rem;
    margin-right: 0.25rem;
}

.list-title dt::after {
    content: "：";
    position: absolute;
    right: 0;
}

.search-area .table {
    --bs-table-bg: #F5F5F5 !important;
}

.page-item.active,
.page-link.active {
    background-color: #fff !important;
}

    .page-item.active .page-link {
        color: #202020 !important;
        font-size: 1.25rem;
    }

.pagination {
    --bs-pagination-padding-x: 0.7rem;
    --bs-pagination-padding-y: 0.25rem;
    line-height: 1.45rem;
}

.dark-select option {
    background-color: #202020;
}

.dark-select select {
    background-image: url(../images/icon/arrow-down-light-white.png);
    --bs-form-select-bg-img: none;
    background-size: 10px;
}

input:checked[type=checkbox] {
    --bs-form-check-bg-image: url(../images/icon/check-active.png);
    background-image: url(../images/icon/check-active.png);
    width: 22px;
    height: 22px;
    background-color: transparent;
    border: 0;
}

.search-area .accordion-button:not(.collapsed) {
    color: #ffffff;
    background-color: #027e7c;
}

.search-area .accordion-button {
    background-color: #f6f6f6;
}

.form-select:focus {
    border-color: #ffd967;
    border-width: 5px;
    box-shadow: 0 0 10px rgba(3, 24, 44, 0.5);
}

.custom-details summary {
    list-style: none;
    position: relative;
    padding-right: 1.5em;
    cursor: pointer;
}

.footer-link .custom-details summary::after {
    content: "\e902";
    font-family: 'icomoon';
    position: absolute;
    right: 0;
    top: 0;
    font-size: 0.8rem;
    transform: translateY(10%);
}

.footer-link .custom-details[open] summary::after {
    content: "\e904";
}

.footer-link .card-body,
.footer-link-btn .icon-arrow-up-light {
    display: none;
}

/* 詳細內容 */
.main-img {
    background-image: url(../images/main-bg.png);
    background-size: contain;
    background-attachment: fixed;
}

.list-detailed dt::after {
    content: "：";
}

.list-detailed dt {
    min-width: 50px;
}

/* 政治檔案人名索引 */
.political-archives .table-light {
    --bs-table-striped-bg: #f1f3f5;
}

.political-archives td:nth-of-type(n)::before {
    content: attr(m-show);
    color: #002952;
    display: block;
    white-space: nowrap !important;
}

.political-archives th.w-s {
    max-width: 50px;
}

.word-break-all {
    word-break: break-all;
}

/* 登入 */
.login .bg-light,
.member .bg-light {
    background-color: rgb(225 235 244) !important;
}

/* 共筆推播 */
.naec-img {
    height: 350px;
}

.pie-box {
    right: -15px;
    bottom: -20px;
}

    .pie-box .pie-area {
        width: 150px !important;
    }

.pie-area .highcharts-background {
    fill: transparent;
}

.pie-area .highcharts-container,
.pie-area .highcharts-root {
    height: 150px !important;
}

.nav-pills .nav-link.active,
.nav-pills .show > .nav-link {
    color: #fff !important;
    background-color: #027e7c;
}

/* 我的檔案車 */
.w30 {
    width: 30px;
}

.w50 {
    width: 50px;
}

.w60 {
    width: 60px;
}

.w70 {
    width: 70px;
}

.w80 {
    width: 80px;
}

.w100 {
    width: 100px;
}

.w150 {
    width: 150px;
}

.w450 {
    width: 450px;
}

.my-applicant .label-title {
    max-width: 12rem;
}

/* 最新目錄 */
.now-status-date-process .card li:last-of-type {
    margin-bottom: 0 !important;
}

/* 政治檔案專區使用說明 */
.publish-detail p {
    text-align: left;
}

/* 20250715-------------------- */
#ui-datepicker-div {
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.2);
}

.ui-widget-header {
    border-color: #c6fffe;
    background: #027e7c;
    color: #fff;
    font-weight: 400;
}

    .ui-state-default,
    .ui-widget-content .ui-state-default,
    .ui-widget-header .ui-state-default {
        border: 1px solid #027e7c;
        background: #ffffff;
    }

.ui-datepicker select.ui-datepicker-year {
    font-family: "Century Gothic", "微軟正黑體", sans-serif;
    font-weight: 300;
}

.ui-datepicker .ui-datepicker-title select {
    font-size: 0.875rem;
}

.ui-datepicker-year,
.ui-datepicker-month {
    border-color: transparent;
    margin-right: 5px !important;
}

.table-for-device thead tr th span {
    display: block;
}

/* 20250913 ///////////////////// */
button:focus,
.btn:focus,
a:focus,
input:focus,
textarea:focus {
    outline: 2px dashed #f75855 !important;
    outline-offset: 2px !important;
}

.mb-4rem {
    margin-bottom:4rem;
}

.mb-5rem {
    margin-bottom: 5rem !important;
}

.text-left {
    text-align: left;
}